import request from '@/utils/request'

//查询当前系统最高级的deptId
export function getTopDeptId(query) {
  return request({
    url: '/enforce/website/getTopDeptId',
    method: 'get',
    params: query
  })
}

//查询新闻管理列表固定条数
export function news(number,deptId,limit) {
  return request({
    url: '/enforce/website/news/'+number+'/'+deptId+'/'+limit,
    method: 'get'
  })
}

//查询方案公开固定条数
export function scheme(deptId,limit) {
  return request({
    url: '/enforce/website/scheme/'+deptId+'/'+limit,
    method: 'get'
  })
}

//查询举报留言
export function communicate(query) {
  return request({
    url: '/enforce/website/communicate/list',
    method: 'get',
    params: query
  })
}

//查询农用品管理列表
export function productList(query) {
  return request({
    url: '/enforce/website/product/list',
    method: 'get',
    params: query
  })
}
